Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Utils.Unsafe

Synopsis

- unsafeComparePointers :: a -> a -> Bool

# Documentation

unsafeComparePointers :: a -> a -> Bool Source #

Checks if two arguments are equal as pointers in memory. Please note, that this function is a hack, and it can worsen the behavior of compiler. See https://gitlab.haskell.org/ghc/ghc/-/blob/d151546e59a50158f25c3df6728b00d3c27bb4b9/compiler/GHC/Builtin/primops.txt.pp#L3455.